pydo.nfs.create()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.nfs.create(
body={
"name": "my-nfs-share",
"size_gib": 50,
"region": "atl1",
...,
},
)Description
To create a new NFS share, send a POST request to /v2/nfs.
Parameters
namestring requiredExample:
my-nfs-shareThe human-readable name of the share.
size_gibinteger requiredExample:
50The desired/provisioned size of the share in GiB (Gibibytes). Must be >= 50.
regionstring requiredExample:
atl1The DigitalOcean region slug (e.g., nyc2, atl1) where the NFS share resides.
vpc_idsarray of strings requiredExample:
['796c6fe3-2a1d-4da2-9f3e-38239827dc91']List of VPC IDs that should be able to access the share.
performance_tierstring optionalExample:
standardThe performance tier of the share.
Request Sample
Response Example
More Information
See /v2/nfs in the API reference for additional detail on responses, headers, parameters, and more.